<?php
class ModelPaymentPagamentoDinamico extends Model {

  private $quote_data = array();

  public function getMethod($address, $total) {

    if (ftr_geral::isIsset($this->config->get('pagamentodinamico_display')) && (!ftr_geral::exibeMuduloLayout($this->config->get('pagamentodinamico_display')))){
      return false;
    }

    $method_data = array();

    if($this->config->get('pagamentodinamico_modules')){

      $status = true;

      $modules = $this->config->get('pagamentodinamico_modules');

      foreach ($modules as $key => $module){

        $pagamentodinamico_total = str_replace(['R$',','],['','.'], $module['pagamentodinamico_total']);

        if (($pagamentodinamico_total > 0 && ($pagamentodinamico_total) > $total)) {
          continue;
        }

        $this->quote_data[strtolower(str_replace(' ', '', ftr_geral::removeAcentos($module['pagamentodinamico_opcao']) ))] = array(
          'code' => Type_PaymentModule::Tp_PtgDinaminco,
          'title' => $module['pagamentodinamico_opcao']
        );

      }

      if ($status){
        $method_data = array(
          'code'       => Type_PaymentModule::Tp_PtgDinaminco,
          'quote'      => $this->quote_data,
          'sort_order' => $this->config->get('pagamentodinamico_sort_order'),
        );
      }

    }else{
      $status = true;

      //retro compatibilidade
      if ($this->config->get('pagamentodinamico_total') > 0 && (str_replace(',','.', $this->config->get('pagamentodinamico_total')) > $total)) {
        $status = false;
      }

      if ($status){
        $method_data = array(
          'code'       => 'pagamentodinamico',
          'title'      => $this->config->get('pagamentodinamico_opcao'),
          'sort_order' => $this->config->get('pagamentodinamico_sort_order'),
        );
      }
    }


    return $method_data;
  }
}
